function instrprof,parms,x,NPIX=npix

if n_elements(NPIX) ne 0 then begin

    xx = findgen(npix)
    tabinv,xx,(npix-1.)/2.,idx
    xx = xx-idx
    
    ip = errorf((xx+parms[1]-parms[0])/parms[2]) - $
      errorf((xx-parms[1]-parms[0])/parms[2]) 

endif else begin

    xx = x
    
    ip = errorf((xx+parms[1]-parms[0])/parms[2]) - $
      errorf((xx-parms[1]-parms[0])/parms[2]) 

endelse


;mkct
;window, 1
;plot, xx,errorf((xx+parms[0])/parms[1]),/xsty,/ysty,yrange=[-1,2]
;oplot, xx,errorf((xx-parms[0])/parms[1])
;oplot,xx,ip,color=2

ip = ip/total(ip)
return, ip

end
