pro testrot

vrot = 70

restore, '../data/vega5.sav'

wvin = wvin/10000.
vdisp = 1e-5

c = 2.99792458E5
vstep = c*vdisp

npix = vrot/vstep
nkern = 2*round(npix)
if not nkern mod 2 then nkern = nkern + 1

kernel_x = (indgen(nkern)-nkern/2 ) * vstep
kernel = fltarr(nkern)
z = where(abs(kernel_x) lt vrot)
kernel[z] = 2.*( (1. - (kernel_x[z]/vrot)^2)^0.5 ) / !pi / vrot
kernel = kernel/total(kernel)


cvega = convol( (fvin/fcvin),kernel)

xrange = [0.991,0.993]
xrange = [0.99,1.01]
mkct
window,1
plot, wvin,fvin/fcvin,/xsty,/ysty,xrange=xrange
oplot, wvin,cvega,color=2


end
