pro spex_ew,filename

x = readfits(filename,hdr)

yunits = fxpar(hdr,'YUNITS')


case yunits of 
    
    0: begin
        
        val = 0
        print, 'Assuming flux units are W m-2 um-1.'
        
    end
    
    'W m-2 um-1': val = 0
    
    'ergs s-1 cm-2 A-1': val = 1
    
    else: 
    
endcase

z = where(finite(x[*,0]) eq 1)
xlat,x[z,0],x[z,1],x[z,2],0,val


end
